com.hazelcast.config

## Class InMemoryYamlConfig

- java.lang.Object
- - com.hazelcast.config.Config
  - - com.hazelcast.config.InMemoryYamlConfig

-     public class InMemoryYamlConfig
      extends Config

  Creates a `Config` loaded from an in-memory Hazelcast YAML String.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryYamlConfig(String yaml)` Creates a Config from the provided YAML string and uses the System.properties to resolve variables in the YAML.
    `InMemoryYamlConfig(String yaml, Properties properties)` Creates a Config from the provided YAML string and properties to resolve the variables in the YAML.

  - ### Method Summary

    - ### Methods inherited from class com.hazelcast.config.Config

      `addAtomicLongConfig, addAtomicReferenceConfig, addCacheConfig, addCardinalityEstimatorConfig, addCountDownLatchConfig, addDurableExecutorConfig, addEventJournalConfig, addExecutorConfig, addFlakeIdGeneratorConfig, addJobTrackerConfig, addListConfig, addListenerConfig, addLockConfig, addMapConfig, addMerkleTreeConfig, addMultiMapConfig, addPNCounterConfig, addQueueConfig, addQuorumConfig, addReliableTopicConfig, addReplicatedMapConfig, addRingBufferConfig, addScheduledExecutorConfig, addSemaphoreConfig, addSetConfig, addTopicConfig, addWanReplicationConfig, findAtomicLongConfig, findAtomicReferenceConfig, findCacheConfig, findCacheConfigOrNull, findCacheEventJournalConfig, findCardinalityEstimatorConfig, findCountDownLatchConfig, findDurableExecutorConfig, findExecutorConfig, findFlakeIdGeneratorConfig, findJobTrackerConfig, findListConfig, findLockConfig, findMapConfig, findMapEventJournalConfig, findMapMerkleTreeConfig, findMultiMapConfig, findPNCounterConfig, findQueueConfig, findQuorumConfig, findReliableTopicConfig, findReplicatedMapConfig, findRingbufferConfig, findScheduledExecutorConfig, findSemaphoreConfig, findSetConfig, findTopicConfig, getAdvancedNetworkConfig, getAtomicLongConfig, getAtomicLongConfigs, getAtomicReferenceConfig, getAtomicReferenceConfigs, getCacheConfig, getCacheConfigs, getCacheEventJournalConfig, getCacheEventJournalConfigs, getCardinalityEstimatorConfig, getCardinalityEstimatorConfigs, getClassLoader, getConfigPatternMatcher, getConfigurationFile, getConfigurationUrl, getCountDownLatchConfig, getCountDownLatchConfigs, getCPSubsystemConfig, getCRDTReplicationConfig, getDurableExecutorConfig, getDurableExecutorConfigs, getExecutorConfig, getExecutorConfigs, getFlakeIdGeneratorConfig, getFlakeIdGeneratorConfigs, getGroupConfig, getHotRestartPersistenceConfig, getInstanceName, getJobTrackerConfig, getJobTrackerConfigs, getLicenseKey, getListConfig, getListConfigs, getListenerConfigs, getLockConfig, getLockConfigs, getManagedContext, getManagementCenterConfig, getMapConfig, getMapConfigOrNull, getMapConfigs, getMapEventJournalConfig, getMapEventJournalConfigs, getMapMerkleTreeConfig, getMapMerkleTreeConfigs, getMemberAttributeConfig, getMultiMapConfig, getMultiMapConfigs, getNativeMemoryConfig, getNetworkConfig, getPartitionGroupConfig, getPNCounterConfig, getPNCounterConfigs, getProperties, getProperty, getQueueConfig, getQueueConfigs, getQuorumConfig, getQuorumConfigs, getReliableTopicConfig, getReliableTopicConfigs, getReplicatedMapConfig, getReplicatedMapConfigs, getRingbufferConfig, getRingbufferConfigs, getScheduledExecutorConfig, getScheduledExecutorConfigs, getSecurityConfig, getSemaphoreConfig, getSemaphoreConfigs, getSemaphoreConfigsAsMap, getSerializationConfig, getServicesConfig, getSetConfig, getSetConfigs, getTopicConfig, getTopicConfigs, getUserCodeDeploymentConfig, getUserContext, getWanReplicationConfig, getWanReplicationConfigs, isLiteMember, setAdvancedNetworkConfig, setAtomicLongConfigs, setAtomicReferenceConfigs, setCacheConfigs, setCacheEventJournalConfigs, setCardinalityEstimatorConfigs, setClassLoader, setConfigPatternMatcher, setConfigurationFile, setConfigurationUrl, setCountDownLatchConfigs, setCPSubsystemConfig, setCRDTReplicationConfig, setDurableExecutorConfigs, setExecutorConfigs, setFlakeIdGeneratorConfigs, setGroupConfig, setHotRestartPersistenceConfig, setInstanceName, setJobTrackerConfigs, setLicenseKey, setListConfigs, setListenerConfigs, setLiteMember, setLockConfigs, setManagedContext, setManagementCenterConfig, setMapConfigs, setMapEventJournalConfigs, setMapMerkleTreeConfigs, setMemberAttributeConfig, setMultiMapConfigs, setNativeMemoryConfig, setNetworkConfig, setPartitionGroupConfig, setPNCounterConfigs, setProperties, setProperty, setQueueConfigs, setQuorumConfigs, setReliableTopicConfigs, setReplicatedMapConfigs, setRingbufferConfigs, setScheduledExecutorConfigs, setSecurityConfig, setSemaphoreConfigs, setSerializationConfig, setServicesConfig, setSetConfigs, setTopicConfigs, setUserCodeDeploymentConfig, setUserContext, setWanReplicationConfigs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryYamlConfig

          public InMemoryYamlConfig(String yaml)

      Creates a Config from the provided YAML string and uses the System.properties to resolve variables in the YAML.
      Parameters:
        `yaml` - the YAML content as a Hazelcast YAML String
      Throws:
        `IllegalArgumentException` - if the YAML is null or empty
        `InvalidConfigurationException` - if the YAML content is invalid

    - #### InMemoryYamlConfig

          public InMemoryYamlConfig(String yaml,
                                    Properties properties)

      Creates a Config from the provided YAML string and properties to resolve the variables in the YAML.
      Parameters:
        `yaml` - the YAML content as a Hazelcast YAML String
      Throws:
        `IllegalArgumentException` - if the YAML is null or empty or if properties is null
        `InvalidConfigurationException` - if the YAML content is invalid

Copyright © 2019. All rights reserved.